VisualEditor: Invalid titles for link target are not detected by link editor (e.g. "Foo{}bar" is allowed)
Closed, ResolvedPublic

bzimport set Reference to bz33094.
liangent created this task.Via LegacyDec 14 2011, 11:45 AM
He7d3r added a comment.Via ConduitJun 22 2012, 2:21 AM

From
https://www.mediawiki.org/w/index.php?title=Visual_editor/Feedback&oldid=552919#Links_to_invalid_titles


The editor should not allow [//www.mediawiki.org/w/index.php?title=VisualEditor%3ATest&diff=552858&oldid=552851 links to invalid titles].

Jdforrester-WMF added a comment.Via ConduitJun 22 2012, 6:20 PM

Not sure if new inspector blocks this?

Jdforrester-WMF added a comment.Via ConduitJun 22 2012, 10:05 PM

Mass-moving items into VisualEditor product

Jdforrester-WMF added a comment.Via ConduitJun 23 2012, 1:38 AM

Mass-move out of "General" to init.

Jdforrester-WMF added a comment.Via ConduitJul 2 2012, 7:29 PM

Standardise title.

Krinkle added a comment.Via ConduitAug 27 2012, 6:48 PM

Looks like a job for mw.Title in core.

It needs better validation. If static validation is not 100% waterproof we could built in a "extra sure" mode in mw.Title that makes an API request.

rmoen added a comment.Via ConduitSep 10 2012, 9:38 PM

Fixed in https://gerrit.wikimedia.org/r/23373 similarly to the way wikiEditor checks for invalid page titles

Would be better handled in mw.Title.

TTO added a comment.Via ConduitJul 9 2013, 7:22 AM

This is back again.

gerritbot added a comment.Via ConduitAug 1 2013, 12:01 PM

Change 77099 had a related patch set uploaded by Esanders:
Prevent the creation of invalid MWInternalLinks

https://gerrit.wikimedia.org/r/77099

gerritbot added a comment.Via ConduitAug 14 2013, 9:58 PM

Change 77099 merged by jenkins-bot:
Prevent the creation of invalid MWInternalLinks

https://gerrit.wikimedia.org/r/77099

Jdforrester-WMF added a comment.Via ConduitAug 14 2013, 9:59 PM

Fixed again. Sorry, everyone. Will be deployed to MW.org tomorrow, and we'll get it deployed more widely after testing.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.